using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 资源文件类型
/// </summary>
public enum ResourceFileType
{
    /// <summary>
    /// 特殊学生佐证材料
    /// </summary>
    [Description("特殊学生佐证材料")]
    EXAM_SPECIAL_STUDENT = 1,
    /// <summary>
    /// 缺测替补佐证材料
    /// </summary>
    [Description("缺测替补佐证材料")]
    EXAM_ABSENT_REPLACE = 2,
    /// <summary>
    /// 监测机构数据上报类型附件
    /// </summary>
    [Description("监测机构数据上报类型附件")]
    EXAM_ORG_DATA_REPORT = 3,
    /// <summary>
    /// 校考成绩上报模板
    /// </summary>
    [Description("校考成绩上报模板")]
    SCHOOL_EXAM_TEMPLATE = 4,
    /// <summary>
    /// 监测数据上报类型附件
    /// </summary>
    [Description("监测数据上报类型附件")]
    EXAM_DATA_REPORT_ATTACHMENT = 5,
}
